Subject: bug#669: 23.0.60; defalias is not taken into account by C-h k

From: Stefan Monnier <[email-masked]>
Date: Thu, 14 Aug 2008 16:00:46 -0400

> case via the `foo' indirection but certainly _not_ in the
>   (defalias 'lisp-complete-symbol (symbol-function 'foo))
> because, well, look at the return value of (symbol-function 'foo).

We certainly could, if we labelled every lambda we build with the
location where it was found (rather than labelling the symbol to which
the lambda is bound).  In some cases we already do that (if the code is
byte-compiled and the lambda has a docstring, we include a pointer to
the docstring which includes the file name).

        Stefan